var lastSel = null;

function setupSelectionManager() {
    $('#conv-index tr input').click(onMouseDown);
    $('#conv-index tr input:checked').parent().parent().addClass('sel');
}

function onMouseDown(e) {
    var tr = this.parentNode.parentNode;
    if (e.shiftKey && lastSel) {
        var state = 0;
        var stop = null;
        var current = tr;
        $('#conv-index tr').each(function () {
            if (state == 0 && this == lastSel) {
                state = 1; stop = current;
            }
            else if (state == 0 && this == current) {
                state = 1; stop = lastSel;
            }
            if (state == 1) {
                $(this).addClass('sel');
                $(this).find('input').attr('checked', true);
            }
            if (this == stop) {
                state = 2;
            }
        });
    }
    else {
        lastSel = tr;
        $(tr).toggleClass('sel');
    }
}

function submitAction(action) {
    $('#do_action').val(action);
    $('#mainform').submit();
}

// Long text quotes are collapsed by default to make messages shorter.
// The quotes can be expanded by clicking on the "Display quoted text" link.
function collapseQuotes() {
    $('div > blockquote').each(function() {
        var quote = $(this);
        var link = $('<div class="collapsedquote">* Show quoted text *</div>');
        var quoteClick = function() {
            quote.slideToggle(200); link.slideToggle(200);
        };
        quote.click(quoteClick);
        link.click(quoteClick);
        quote.before(link);
        if (quote.height() > 100 || quote.text().length > 600) {
            // For some reason safari needs this instead of a simple 
            // .hide() call. See: http://dev.jquery.com/ticket/1239
            quote.css('display', 'none');
        }
        else {
            link.css('display', 'none');
        }
    });
}

$(document).ready(function () {
   // Make flash messages go away when clicked on
   $('#flash').click(function(){$(this).hide();})
});